
<?php 

class Viajes extends Database{

	public function insertar($fechaReg_viaj,$motivo_viaj,$fecha_inc,$fecha_fin,$id_per){
	    try {
	       	$sql="INSERT INTO t_comision_viajes VALUES(NULL,'$fechaReg_viaj','$motivo_viaj','$fecha_inc','$fecha_fin','$id_per')";
    		$resul=$this->connect()->query($sql);
    		if($resul){
    		    return true;
    		}else{
    		   throw new Exception("Error al ejecutar la consulta: " . $this->connect()->error);  
    		}
	    }catch(Exception $e){
	        echo "Error:" . $e->getMessage();
	        return false;
	    }
	
	}

	public function mostrar(){
		$sql="SELECT *FROM t_comision_viajes c, t_personales p  WHERE c.id_per=p.id_per  ORDER BY id_viaj DESC";
		$resul=$this->connect()->query($sql);
		return $resul;
	}

	public function mostrarImp($numDoc_per){
		$sql="SELECT *FROM t_comision_viajes c, t_personales p WHERE c.id_per=p.id_per AND  (numDoc_per='$numDoc_per' || id_viaj='$numDoc_per' ) AND estado_per='ACTIVO' ";
		$resul=$this->connect()->query($sql);

		$numRows = $resul->num_rows;
		if($numRows>=1)
			return $resul;
		return false;
	}

	public function mostrarImp1($bus,$fechai,$fechaf){
		$sql="SELECT *FROM t_comision_viajes c, t_personales p WHERE c.id_per=p.id_per AND numDoc_per='$bus' AND fechaReg_viaj>='$fechai' AND fechaReg_viaj<='$fechaf' ORDER BY id_viaj DESC ";
		$resul=$this->connect()->query($sql);
		return $resul;
	}

	#BUSCADOR PARA IMPRIMIR CON FPDF
	public function imprimirFpdf($id_viaj){
		$sql="SELECT *FROM t_comision_viajes c, t_personales p WHERE c.id_per=p.id_per AND id_viaj='$id_viaj' ";
		$resul=$this->connect()->query($sql);
		return $resul;
	}

	public function buscar($buscador){
		$sql="SELECT *FROM t_personales WHERE numDoc_per='$buscador' AND estado_per='ACTIVO' ";
		$resul=$this->connect()->query($sql);

		$numRows = $resul->num_rows;

		if($numRows == 1)
			return $resul;
		return false;
		
	}

	#reporte datos del personal
	public function mostrarReporteP($numDoc_per){
		$sql="SELECT *FROM t_personales   WHERE numDoc_per='$numDoc_per' ";
		$resul=$this->connect()->query($sql);
		return $resul;
	}

	#reporte datos del viaje
	public function mostrarReporteV($id_per,$fechaReg_viajInicio,$fechaReg_viajFin){
		$sql="SELECT *FROM t_comision_viajes  WHERE id_per='$id_per' AND (fechaReg_viaj>='$fechaReg_viajInicio' AND fechaReg_viaj<='$fechaReg_viajFin') ORDER BY id_viaj ASC";
		$resul=$this->connect()->query($sql);
		return $resul;
	}
}

?>